zookeeper-3.4.6

- Main Page
- Data Structures
- Files

- Data Structures

Data Fields
zoo_op Struct Reference

zoo_op structure. More...

## Data Fields
int | type
union {
struct {
const char * path
const char * data
int datalen
char * buf
int buflen
const struct ACL_vector * acl
int flags
} create_op
struct {
const char * path
int version
} delete_op
struct {
const char * path
const char * data
int datalen
int version
struct Stat * stat
} set_op
struct {
const char * path
int version
} check_op
}; |

## Detailed Description

zoo_op structure.

This structure holds all the arguments necessary for one op as part of a containing multi_op via zoo_multi or zoo_amulti. This structure should be treated as opaque and initialized via zoo_create_op_init, zoo_delete_op_init, zoo_set_op_init and zoo_check_op_init.

The documentation for this struct was generated from the following file:

- include/zookeeper.h